# Class PrivilegedGetTccl

java.lang.Object
org.apache.tomcat.util.security.PrivilegedGetTccl

All Implemented Interfaces:
  `PrivilegedAction<ClassLoader>`

public class PrivilegedGetTccl extends Object implements PrivilegedAction<ClassLoader>

## Constructor Summary

Constructors
Constructor
Description
`PrivilegedGetTccl()`
Deprecated.
`PrivilegedGetTccl(Thread currentThread)`

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrivilegedGetTccl

@Deprecated public PrivilegedGetTccl()
Deprecated.

### PrivilegedGetTccl

public PrivilegedGetTccl(Thread currentThread)

## Method Details

### run

public ClassLoader run()

Specified by:
  `run` in interface `PrivilegedAction<ClassLoader>`